LIBJXL

Loading...
Searching...
No Matches
Functions
thread_parallel_runner.h File Reference
JPEG XL Multi-thread library (libjxl_threads)

implementation using std::thread of a JxlParallelRunner. More...

`#include <jxl/jxl_threads_export.h>`
`#include <jxl/memory_manager.h>`
`#include <jxl/parallel_runner.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
Include dependency graph for thread_parallel_runner.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
JXL_THREADS_EXPORT JxlParallelRetCode | JxlThreadParallelRunner (void *runner_opaque, void *jpegxl_opaque, JxlParallelRunInit init, JxlParallelRunFunction func, uint32_t start_range, uint32_t end_range)
JXL_THREADS_EXPORT void * | JxlThreadParallelRunnerCreate (const JxlMemoryManager *memory_manager, size_t num_worker_threads)
JXL_THREADS_EXPORT void | JxlThreadParallelRunnerDestroy (void *runner_opaque)
JXL_THREADS_EXPORT size_t | JxlThreadParallelRunnerDefaultNumWorkerThreads (void)

## Detailed Description

implementation using std::thread of a JxlParallelRunner.